
(require 'org)
(require 'ox-html)
(setq org-export-default-language "ja")
(setq org-src-fontify-natively t)
(setq org-preview-latex-process-alist
      '((dvipng
         :programs ("latex" "dvipng")
         :description "dvi > png"
         :message "you need to install the programs: latex and dvipng."
         :image-input-type "dvi"
         :image-output-type "png"
         :image-size-adjust (1.0 . 1.0)
         :latex-compiler ("latex -interaction nonstopmode --output-format=dvi -output-directory %o %f")
         :image-converter ("dvipng -D %D -T tight -bg Transparent -o %O %f")) ;;add -bg Transparent
        (dvisvgm
         :programs ("latex" "dvisvgm")
         :description "dvi > svg"
         :message "you need to install the programs: latex and dvisvgm."
         :image-input-type "dvi"
         :image-output-type "svg"
         :image-size-adjust (1.7 . 1.5)
         :latex-compiler ("latex -interaction nonstopmode -output-directory %o %f")
         :image-converter ("dvisvgm %f -n -b min -c %S -o %O"))
        (imagemagick
         :programs ("xelatex" "convert")
         :description "pdf > png"
         :message "you need to install the programs: latex and imagemagick."
         :image-input-type "pdf"
         :image-output-type "png"
         :image-size-adjust (4.0 . 4.0)
         :latex-compiler ("xelatex -interaction nonstopmode -output-directory %o %f")
         :image-converter
         ("convert -density %D -trim -fuzz 30%% -transparent white -scale 25%% %f -quality 100 %O"))))

(setq org-latex-create-formula-image-program'imagemagick)

(add-to-list 'org-latex-classes
             '("jarticle"
               "\\documentclass{jarticle}
[NO-PACKAGES]
[NO-DEFAULT-PACKAGES]
\\usepackage[dvipdfmx]{graphicx}"
               ("\\section{%s}"       . "\\section*{%s}")
               ("\\subsection{%s}"    . "\\subsection*{%s}")
               ("\\subsubsection{%s}" . "\\subsubsection*{%s}")
               ("\\paragraph{%s}"     . "\\paragraph*{%s}")
               ("\\subparagraph{%s}"  . "\\subparagraph*{%s}")))
(add-to-list 'org-latex-classes
             '("jsarticle"
               "\\documentclass{jsarticle}
[NO-PACKAGES]
[NO-DEFAULT-PACKAGES]
\\usepackage[dvipdfmx]{graphicx}"
               ("\\section{%s}"       . "\\section*{%s}")
               ("\\subsection{%s}"    . "\\subsection*{%s}")
               ("\\subsubsection{%s}" . "\\subsubsection*{%s}")
               ("\\paragraph{%s}"     . "\\paragraph*{%s}")
               ("\\subparagraph{%s}"  . "\\subparagraph*{%s}")))
(add-to-list 'org-latex-classes
             '("bxjsarticle"
               "\\documentclass{bxjsarticle}
[NO-PACKAGES]
[NO-DEFAULT-PACKAGES]"
               ("\\section{%s}"       . "\\section*{%s}")
               ("\\subsection{%s}"    . "\\subsection*{%s}")
               ("\\subsubsection{%s}" . "\\subsubsection*{%s}")
               ("\\paragraph{%s}"     . "\\paragraph*{%s}")
               ("\\subparagraph{%s}"  . "\\subparagraph*{%s}")))

(setq org-latex-with-hyperref nil)
(setq org-latex-listings t)
